API

Get Verifone 3DS JWT

Returns a JWT for initializing Cardinal.js (Songbird) 3DS device fingerprinting. Only available for companies with Verifone ecom payment provider configured.

When employee_id is supplied and the employee has own Verifone ecom credentials configured (with own-settlements preferred and allowed), the JWT is minted from the employee's full Verifone account — userId, apiKey, AND 3DS contract id. The 3DS contract is bound to a Verifone account, so when the charge will be routed to the employee's account the JWT must come from the same account. Otherwise the JWT is minted from the company's credentials.

GET/v1/marketplace/companies/{company_id}/verifone/threeds_jwt

Authorization

Marketplace-Authentication

Authorization<token>

The Noona Marketplace API uses an Authorization header with JWT Bearer tokens to authenticate marketplace users.

In: header

Path Parameters

company_id*string

Company ID

Query Parameters

employee_id?string

Optional employee ID. The frontend should pass the employee selected on the time slot reservation so the JWT is minted from the right Verifone account when the employee receives funds directly via own settlements.

select?array<string>
expand?array<string>

Response Body

application/json

application/json

application/json

curl -X GET "https://api.noona.is/v1/marketplace/companies/string/verifone/threeds_jwt"
{
  "jwt": "string"
}
{
  "type": "generic_error",
  "message": "Time slot is not available."
}
{
  "type": "generic_error",
  "message": "Time slot is not available."
}